Bug 861770 - Fix major_version in epiphany spec file
Fix major_version in epiphany spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
18
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 12:06 EDT by Mohamed El Morabity
Modified: 2012-11-09 15:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-09 15:28:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make %{major_version} macro defined from %{version} (462 bytes, patch)
2012-09-30 12:06 EDT, Mohamed El Morabity
no flags Details | Diff

  None (edit)
Description Mohamed El Morabity 2012-09-30 12:06:35 EDT
Created attachment 619449 [details]
Patch to make %{major_version} macro defined from %{version}

Description of problem:
The epiphany spec file defines a %{major_version} macro to create and own the
extensions folders in /usr/lib*/epiphany/:
 mkdir -p
$RPM_BUILD_ROOT%{_libdir}/epiphany/%{major_version}/{plugins,extensions}
 ln -sf %{major_version}/plugins $RPM_BUILD_ROOT%{_libdir}/epiphany/plugins
 ln -sf %{major_version}/extensions
$RPM_BUILD_ROOT%{_libdir}/epiphany/extensions

In F18/rawhide spec, %{major_version} is set to 3.5 whereas it should be 3.6 (as for
the current Epiphany major version in the repos).

This issue prevents the (future releases of) epiphany-extensions package to
work with epiphany 3.6 without dirty tricks (extensions would be installed in
%{_libdir}/epiphany/3.6/extensions/, with %{_libdir}/epiphany/3.6/ supposed to
be owned by epiphany). Moreover, the epiphany-extensions depends on the virtual Provides "epiphany(abi)", whose version is set too to %{major_version}.

To avoid such a problem occuring at each new major release of Epiphany (see RHBZ 808401 and 743433), here is provided a patch to make %{major_version} defined from %{version}. This would make automatic updates of Epiphany package easier.
Comment 1 Fedora Update System 2012-10-04 21:51:23 EDT
epiphany-3.6.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/epiphany-3.6.0-2.fc18
Comment 2 Fedora Update System 2012-10-05 01:39:00 EDT
Package epiphany-3.6.0-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing epiphany-3.6.0-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15459/epiphany-3.6.0-2.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.